Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.jdo
Class JDOObjectId

`java.lang.Object
oracle.toplink.jdo.JDOObjectId`

Deprecated. since OracleAS TopLink 10g (10.1.3). TopLink will no longer offer this JDO preview. Please refer to the best practices content on OTN for recommended abstraction layer development.

public class JDOObjectId
extends java.lang.Object

PUBLIC:

JDO wrapper for a primary key. Contains a vector of the object primary key values, and the object's class.

Constructor Summary
`JDOObjectId()` Deprecated. Create a new object id.

Method Summary
`boolean` | `equals(java.lang.Object oid)` Deprecated.
`java.util.Vector` | `getKey()` Deprecated.
`java.lang.Class` | `getObjectClass()` Deprecated.
`int` | `hashCode()` Deprecated.
`void` | `setKey(java.util.Vector newKey)` Deprecated.
`void` | `setObjectClass(java.lang.Class newObjectClass)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOObjectId

    public JDOObjectId()

  Deprecated.
  Create a new object id.

Method Detail

### equals

    public boolean equals(java.lang.Object oid)

  Deprecated.

### getKey

    public java.util.Vector getKey()

  Deprecated.

### getObjectClass

    public java.lang.Class getObjectClass()

  Deprecated.

### hashCode

    public int hashCode()

  Deprecated.

### setKey

    public void setKey(java.util.Vector newKey)

  Deprecated.

### setObjectClass

    public void setObjectClass(java.lang.Class newObjectClass)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD